Bug 245434 - www/py-django-tastypie: Update to 0.14.3
Summary: www/py-django-tastypie: Update to 0.14.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://github.com/django-tastypie/dj...
Keywords:
Depends on:
Blocks: 245309
  Show dependency treegraph
 
Reported: 2020-04-07 20:31 UTC by Kai Knoblich
Modified: 2020-04-09 09:58 UTC (History)
1 user (show)

See Also:
wg: maintainer-feedback+


Attachments
py-django-tastypie-0.14.3.patch (1.49 KB, patch)
2020-04-07 20:31 UTC, Kai Knoblich
kai: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2020-04-07 20:31:39 UTC
Created attachment 213165 [details]
py-django-tastypie-0.14.3.patch

Hi,

attached is the patch that updates www/py-django-tasty-pie to 0.14.3 and assigns it to Django 2.2 (current LTS release) as Django 1.11 is End-of-Life since April 2020.

Changes to the port:
~~~~~~~~~~~~~~~~~~~~
- Sync RUN_DEPENDS with setup.py

QA:
~~~
- poudriere (11.3-RELEASE amd64 for each py35, py36, py37 and py38 flavor) -> OK
- portlint -> OK
Comment 1 William Grzybowski freebsd_committer 2020-04-08 12:47:40 UTC
Approved. Feel free to take maintainership.

Thanks
Comment 2 commit-hook freebsd_committer 2020-04-09 07:30:57 UTC
A commit references this bug:

Author: kai
Date: Thu Apr  9 07:30:24 UTC 2020
New revision: 531187
URL: https://svnweb.freebsd.org/changeset/ports/531187

Log:
  www/py-django-tastypie: Update to 0.14.3

  * Also assign it to Django 2.2 (current LTS release) because Django 1.11 is
    End-of-Life since April 2020.

  * Take maintainership

  Changelog:

  https://github.com/django-tastypie/django-tastypie/releases/tag/v0.14.3

  PR:		245434
  Approved by:	wg (maintainer)

Changes:
  head/www/py-django-tastypie/Makefile
  head/www/py-django-tastypie/distinfo
Comment 3 Kai Knoblich freebsd_committer 2020-04-09 09:57:35 UTC
Comment on attachment 213165 [details]
py-django-tastypie-0.14.3.patch

^ Triage: Maintainer's approval was given with comment #1. Setting flag on attachment accordingly.
Comment 4 Kai Knoblich freebsd_committer 2020-04-09 09:58:32 UTC
(In reply to William Grzybowski from comment #1)

Committed, thank you for the approval!